[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamReader.BaseStream

The stream with the text data

## Declaration

Source position: streamex.pp line 121

`public property TStreamReader.BaseStream : TStream read FStream;`

## Description

BaseStream is the stream that was passed to the TStreamReader instance in the TStreamReader.Create call.

Manipulating the stream between calls to TStreamReader.ReadLine is not allowed, it will lead to wrong data being read from the stream.

## See also

TStreamReader.Create |  | Create a new instance of TStreamReader from a stream
TStreamReader.OwnsStream |  | Should the stream be freed on close